# Structure

data class Structure(structureData: Set<SingleStructureData>)
Content copied to clipboard

## Constructors

Structure
Link copied to clipboard
fun Structure(vararg structureDataSets: Set<SingleStructureData>)
Content copied to clipboard

## Functions

component1
Link copied to clipboard
operator fun component1(): Set<SingleStructureData>
Content copied to clipboard
copy
Link copied to clipboard
fun copy(structureData: Set<SingleStructureData>): Structure
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

structureData
Link copied to clipboard
val structureData: Set<SingleStructureData>
Content copied to clipboard

## Extensions

buildAt
Link copied to clipboard
fun Structure.buildAt(loc: Location)
Content copied to clipboard
rotate
Link copied to clipboard
inline fun Structure.rotate(angle: Number, vectorRotation: (Vector, Double) -> Vector): Structure
Content copied to clipboard
rotateAroundX
Link copied to clipboard
fun Structure.rotateAroundX(angle: Number): Structure
Content copied to clipboard
rotateAroundY
Link copied to clipboard
fun Structure.rotateAroundY(angle: Number): Structure
Content copied to clipboard
rotateAroundZ
Link copied to clipboard
fun Structure.rotateAroundZ(angle: Number): Structure
Content copied to clipboard